Bug 80668 - [GTK] Menulist buttons have separators even when the theme turns them off
Summary: [GTK] Menulist buttons have separators even when the theme turns them off
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Martin Robinson
URL: https://bugs.webkit.org/enter_bug.cgi...
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-08 18:57 PST by Martin Robinson
Modified: 2012-03-14 15:05 PDT (History)
3 users (show)

See Also:


Attachments
Patch (2.60 KB, patch)
2012-03-08 19:16 PST, Martin Robinson
dbates: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Robinson 2012-03-08 18:57:17 PST
Adwait disables separators in combo boxes, yet they still appear in menulists rendered in GTK+.
Comment 1 Martin Robinson 2012-03-08 19:16:03 PST
Created attachment 130952 [details]
Patch
Comment 2 Daniel Bates 2012-03-10 17:53:05 PST
Comment on attachment 130952 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=130952&action=review

This patch looks reasonable to me. That being said, feel free to get a more formal review from another GTK expert.

> Source/WebCore/ChangeLog:10
> +        No new tests. GTK+ theme differences are notoriously difficult
> +        to test, because consistent results depend on having certain themes
> +        certain versions of themes installed.

The second sentence doesn't read well. I think it may read better if you remove the phrase "certain themes".
Comment 3 Martin Robinson 2012-03-12 13:19:55 PDT
Comment on attachment 130952 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=130952&action=review

>> Source/WebCore/ChangeLog:10
>> +        certain versions of themes installed.
> 
> The second sentence doesn't read well. I think it may read better if you remove the phrase "certain themes".

I meant to say "certain themes and certain versions of themes" here. I'll fix that before landing. Thanks for the review!
Comment 4 Martin Robinson 2012-03-14 15:05:06 PDT
Committed r110762: <http://trac.webkit.org/changeset/110762>